import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class MySetTest {
    MySet mySet;

    @Before
    public void setup(){
        mySet = new MySet();
    }

    @Test
    public void AddTest(){
        mySet.add(1);

        Assert.assertFalse(mySet.add(1));
    }

    @Test
    public void ClearTest(){
        mySet.add(1);
        mySet.add(2);

        Assert.assertTrue(mySet.contains(2));
    }

    @Test
    public void ContainsTest(){
        mySet.add(1);
        mySet.add(2);

        Assert.assertTrue(mySet.contains(2));
    }

    @Test
    public void EmptyTest(){
        Assert.assertTrue(mySet.isEmpty());
    }

    @Test
    public void RemoveTest(){
        mySet.add(1);
        mySet.add(2);
        mySet.remove(2);

        Assert.assertEquals(3,mySet.size());
    }

    @Test
    public void SizeTest(){
        mySet.add(1);
        mySet.add(2);

        Integer[] expected = new Integer[]{1,2};
        Assert.assertEquals(expected,mySet.toArray());
    }

    @Test
    public void ToArrayTest(){
        mySet.add(1);
        mySet.add(2);
        mySet.add(3);

        Integer[] expected = new Integer[]{1,2,3};

        Assert.assertEquals(expected,mySet.toArray());
    }


}
